declare let CURRENT: string | string[];
export declare type CurrentAuthorityType = string | string[] | (() => typeof CURRENT);
export { CURRENT };
declare const _default: <T>(Authorized: T) => (currentAuthority: CurrentAuthorityType) => T;
export default _default;
